## org.codehaus.groovy.grails.web.pages
Interface GroovyPagesUriService

All Known Implementing Classes:
  DefaultGroovyPagesUriService

    public interface GroovyPagesUriService

Provides methods to lookup URIs of views and templates

Since:
  1.2
Author:
  Graeme Rocher

Field Summary
`static String` `BEAN_ID`

Method Summary
`void` `clear()`
`String` `getDeployedViewURI(String controllerName, String viewName)`
`String` `getNoSuffixViewURI(groovy.lang.GroovyObject controller, String viewName)`
`String` `getNoSuffixViewURI(String controllerName, String viewName)`
`String` `getTemplateURI(groovy.lang.GroovyObject controller, String templateName)`
`String` `getTemplateURI(String controllerName, String templateName)`

Field Detail

### BEAN_ID

    static final String BEAN_ID

See Also:
  Constant Field Values

Method Detail

### getTemplateURI

    String getTemplateURI(String controllerName,
                          String templateName)

### getDeployedViewURI

    String getDeployedViewURI(String controllerName,
                              String viewName)

### getNoSuffixViewURI

    String getNoSuffixViewURI(groovy.lang.GroovyObject controller,
                              String viewName)

### getNoSuffixViewURI

    String getNoSuffixViewURI(String controllerName,
                              String viewName)

### getTemplateURI

    String getTemplateURI(groovy.lang.GroovyObject controller,
                          String templateName)

### clear

    void clear()

Copyright (c) 2005-2009 The Grails project